package com.bianla.app.activity

import android.content.Intent
import com.bianla.commonlibrary.base.BaseView

/**
 *  Project Name : bianla_android
 *  Package Name : com.bianla.app.widget.dialog
 *  @since 2018/3/18 16: 02
 *  @author : TradWang
 *  @email : trad_wang@sina.com
 *  @version :
 *  @describe :
 */
interface ChatUserInfoView : BaseView {

    fun isShowGoCoachHome(isShow: Boolean)

    fun isShowFinishConsulting(isShow: Boolean)

    fun isShowFillCoachView(isShow: Boolean)

    fun isShowFillRemarkView(isShow: Boolean)

    fun setBasicData(userName: String?, userId: String?, gender: String?, age: Int?, address: String?, avatarUrl: String?, isStudent: Boolean?, isChangeCoach: Boolean)

    fun setBasicWeight(isShow: Boolean, height: String?, weight: String?, bastWeight: String?, unit: String?)

    fun setBasicHelp(isShow: Boolean, totalHelpedNum: Int?, totalHelpedReduceFat: Float?, unit: String?)

    fun go2ActivityForResult(intent: Intent, reCode: Int)

    fun fillRemark(remark: String?)

    fun fillCoachNum(phone: String)

    fun showReplaceCoachUpperLimitAllDialog()

    fun showReplaceCoachDialog()

    fun showReplaceCoachUpperLimitTodayDialog()

    fun finish()
}