package com.bianla.app.widget.dialog

import android.app.Dialog
import android.content.Context
import com.bianla.app.R
import kotlinx.android.synthetic.main.dialog_coach_reply.*

/**
 *  Project Name : bianla_android
 *  Package Name : com.bianla.app.widget.dialog
 *  @since 2018/1/5 11: 13
 *  @author : TradWang
 *  @email : trad_wang@sina.com
 *  @version :
 */
class CoachReplyDialog <T> (context: Context, cancelListener: ((T) -> Unit)?, any: T) : Dialog(context, R.style.CustomDialog) {

    init {
        setCancelable(true)
        setCanceledOnTouchOutside(false)
        setContentView(R.layout.dialog_coach_reply)
        consult_now_btn.setOnClickListener {
            cancelListener?.invoke(any)
            dismiss()
        }
        close_iv.setOnClickListener({
            if (isShowing){
                dismiss()
            }
        })
    }
}