package com.bianla.app.activity.coach

import com.bianla.app.bean.OrderListBean
import com.bianla.commonlibrary.base.BaseView
import com.bianla.dataserviceslibrary.DataState

/**
 *  Project Name : bianla_android
 *  Package Name : com.bianla.app.activity.coach
 *  @since 2018/1/3 21: 30
 *  @author : TradWang
 *  @email : trad_wang@sina.com
 *  @version :
 */
interface IOrderList : BaseView {
    fun showRefresh()
    fun hideRefresh()
    fun showNoMoreData()
    fun isShowBanner(showTopTips: Boolean)
    fun changeDataState(dataState: DataState)
    fun setData(dealRegisterList: List<OrderListBean.DealRegisterListBean>)
    fun addData(dealRegisterList: List<OrderListBean.DealRegisterListBean>)
}